summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Johanson <latexer@gentoo.org>2005-03-02 00:04:09 +0000
committerPeter Johanson <latexer@gentoo.org>2005-03-02 00:04:09 +0000
commit707c0479a476db41b36e683c2cbfe5c2ea0ff0d2 (patch)
tree65b44c2a448b430aada08e56331560df83c5ebaf /eclass/gtk-sharp-component.eclass
parent- add virtual/baselayout to the base/virtuals (diff)
downloadhistorical-707c0479a476db41b36e683c2cbfe5c2ea0ff0d2.tar.gz
historical-707c0479a476db41b36e683c2cbfe5c2ea0ff0d2.tar.bz2
historical-707c0479a476db41b36e683c2cbfe5c2ea0ff0d2.zip
Use LANG=C during compilation to avoid potential internationalization problems. See bug #82254
Diffstat (limited to 'eclass/gtk-sharp-component.eclass')
-rw-r--r--eclass/gtk-sharp-component.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/gtk-sharp-component.eclass b/eclass/gtk-sharp-component.eclass
index 72a67983f6d1..b4149a5a2d2c 100644
--- a/eclass/gtk-sharp-component.eclass
+++ b/eclass/gtk-sharp-component.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gtk-sharp-component.eclass,v 1.6 2005/02/18 18:20:06 latexer Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gtk-sharp-component.eclass,v 1.7 2005/03/02 00:04:09 latexer Exp $
# Author : Peter Johanson <latexer@gentoo.org>
# Based off of original work in gst-plugins.eclass by <foser@gentoo.org>
@@ -128,12 +128,12 @@ gtk-sharp-component_src_compile() {
gtk-sharp-component_src_configure ${@}
cd ${S}/${GTK_SHARP_COMPONENT_BUILD_DIR}
- emake || die "compile failure"
+ LANG=C emake || die "compile failure"
}
gtk-sharp-component_src_install() {
cd ${GTK_SHARP_COMPONENT_BUILD_DIR}
- make GACUTIL_FLAGS="/root ${D}/usr/$(get_libdir) /gacdir /usr/$(get_libdir) /package gtk-sharp${GTK_SHARP_COMPONENT_SLOT_DEC}" \
+ LANG=C make GACUTIL_FLAGS="/root ${D}/usr/$(get_libdir) /gacdir /usr/$(get_libdir) /package gtk-sharp${GTK_SHARP_COMPONENT_SLOT_DEC}" \
DESTDIR=${D} install || die
}